#include "MenuTextFullScreen.h"

void MenuTextFullScreen::Step()
{
	if (gameFunc)
	{
		if (gameFunc->GetFullScreen)
		{
			if (gameFunc->GetFullScreen())
				ani.sprite_index = L"fullscreen";
			else
				ani.sprite_index = L"window";
		}
	}
}

std::shared_ptr<Entity> CreateMenuTextFullScreen()
{
	return std::make_shared<MenuTextFullScreen>();
}
